#pragma once

#include <cinttypes>

#include "PWMChannel.hpp"




namespace CyanLight {

  const uint8_t MAX_CHANNELS = 6;
  
  const uint8_t channelGPIOS[MAX_CHANNELS] = { 27, 16, 17, 18, 19, 21 };

  class Controller {
    public:
      Controller(uint8_t networkChannel, uint8_t channelsConfigured = 1);

    private:
      uint8_t networkChannel;
      uint8_t channelsConfigured;
      PWMChannel channels[MAX_CHANNELS];

  };

}
