#pragma once

#include <qthing.h>

#include "driver/ledc.h"


namespace CyanLight {

  class PWMChannel {
    public:
      PWMChannel(uint8_t channel, uint8_t gpio);

      float getBrightness();
      void setBrightness(float b);
    
    private:
      ledc_channel_t channel;
  };

}
