#include "CyanLightControl.hpp"

#include <algorithm>


CyanLight::Controller::Controller(uint8_t networkChannel, uint8_t channelsConfigured) : networkChannel{networkChannel} {

  this->channelsConfigured = std::max(channelsConfigured, CyanLight::MAX_CHANNELS);

  for (uint8_t i = 0; i < channelsConfigured; i++) {
    this->channels[i] = new CyanLight::PWMChannel(i, CyanLight::channelGPIOS[i]);
  }
}
